package code;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.SplitPane;
import javafx.stage.Stage;
import javafx.scene.image.Image;

public 
class App extends Application {
    
  @Override public 
  void start(Stage stage) throws Exception {
    FXMLLoader fxmlLoader = new FXMLLoader();
    SplitPane appPane = (SplitPane)fxmlLoader.load(getClass().getResource("/fxml/Dash.fxml").openStream());
    DashController mainController = fxmlLoader.getController();

    this.loadMainController(mainController);
    mainController.setScreen("Welcome");

    Scene scene = new Scene(appPane);
    stage.setScene(scene);
    stage.getIcons().addAll(new Image(getClass().getResourceAsStream("/icon/adidas.ico")));
    stage.show();
  }

  void loadMainController(DashController mainController) {
    mainController.loadScreen("Welcome", "/fxml/Welcome.fxml");
    mainController.loadScreen("BarChart", "/fxml/BarChart.fxml");
    mainController.loadScreen("PieChart", "/fxml/PieChart.fxml");
  } 
    
}