package code;

import java.net.URL;
import java.sql.Connection;
import java.sql.ResultSet;
import java.util.ResourceBundle;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.scene.chart.PieChart;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;

public 
class PieChartController implements Initializable, StackableScene {

  @FXML private 
  PieChart pieChart;
  
  private 
  DashController mainController;
  
  private 
  ObservableList data;

  public 
  void buildData(){
    Connection c ;
    this.data = FXCollections.observableArrayList();
    try{
      c = DBConnect.connect();

      String SQL = 
        " Select "
        +   "count(c.zip) as zipcount, c.zip as zip "
        + "From customer c "
        + "Group By zip";

      ResultSet rs = c.createStatement().executeQuery(SQL);
      while(rs.next()){
        this.data.add(new PieChart.Data(rs.getString(2),rs.getDouble(1)));
      }
    } catch(Exception e) {
        System.out.println("Error on DB connection: "+e.toString());
    }

  }

  @Override public 
  void initialize(URL url, ResourceBundle rb) {
    System.out.println("PieChartController.initialize()");
    buildData();
    this.pieChart.getData().addAll(data);
  }

  @Override public 
  void setScreenParent(DashController mainController){ 
    this.mainController = mainController; 
  }

}
